[SSL Pinning Plugin] Error generating the apk after SSL Pinning Plugin is implemented.

Forge Component
(4)
Published on 2 Sep (4 weeks ago) by OutSystems R&D
4 votes
Published on 2 Sep (4 weeks ago) by OutSystems R&D

I have implemented SSL pinning plugin but after publishing my module, I was unable to generate the apk.  I am using the 5.0.1 version(latest) of SSL Pinning plugin and my MABS version is 6.1.
But when I try to generate the apk, I get the error - Error installing Cordova Plugin: cordova-outsystems-sslpinning.


Hello Meetali,

I had this same issue back in the day with my application when I tried to generate the builds with MABS 6.1, but after the upgrade it worked just fine for me.


Please, go into your application's module, force the refresh of the dependencies and publish it (even though it doesn't ask you to refresh dependencies when you open it). Then try to generate the build again.

If you don't do this, your application won't assume the newer version of the plugin's Block (RequireSSLPinning Block).


Let me know if you manage to do it.


Kind regards,

Rui Barradas